import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { DataBrewClientResolvedConfig } from "../DataBrewClient";
export interface DataBrewHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface DataBrewHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    DataBrewClientResolvedConfig,
    HandlerExecutionContext,
    DataBrewHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultDataBrewHttpAuthSchemeParametersProvider: (
  config: DataBrewClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<DataBrewHttpAuthSchemeParameters>;
export interface DataBrewHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<DataBrewHttpAuthSchemeParameters> {}
export declare const defaultDataBrewHttpAuthSchemeProvider: DataBrewHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: DataBrewHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: DataBrewHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
